Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.appflow.webflow.forms
Interface WebflowFormConstants

All Known Subinterfaces:
  Validatable, Validator, WebflowTagConstants

public interface WebflowFormConstants

A set of constants shared by ValidatedValue, ValidatedForm tags and plugable Validators

Field Summary
`static java.lang.String` | `EMPTY_STRING` Non null empty string
`static java.lang.String` | `INVALID_FIELD_COUNT_PROPERTY_NAME` HttpServlet request attribute key for ValidatedValues invalid field count, InvalidaFieldCount is the number of fields in the html form that have a status of `STATUS_INVALID`, this is calculated for you.
`static java.lang.String` | `MESSAGES_PROPERTY_NAME` HttpServlet request attribute key for ValidatedValues message
`static java.lang.String` | `STATUS_INVALID` A Status of invalid (field did not pass validator ).
`static java.lang.String` | `STATUS_UNSPECIFIED` A Status of unspecified (Niether valid or invalid: field has just been presented to the user).
`static java.lang.String` | `STATUS_VALID` A Status of valid (field passed validator ).
`static java.lang.String` | `STATUSES_PROPERTY_NAME` HttpServlet request attribute key for ValidatedValues statuses.
`static java.lang.String` | `VALUES_PROPERTY_NAME` HttpServlet request attribute key for ValidatedValues values.

Field Detail

### STATUSES_PROPERTY_NAME

    public static final java.lang.String STATUSES_PROPERTY_NAME

  HttpServlet request attribute key for ValidatedValues statuses.

### VALUES_PROPERTY_NAME

    public static final java.lang.String VALUES_PROPERTY_NAME

  HttpServlet request attribute key for ValidatedValues values.

### MESSAGES_PROPERTY_NAME

    public static final java.lang.String MESSAGES_PROPERTY_NAME

  HttpServlet request attribute key for ValidatedValues message

### INVALID_FIELD_COUNT_PROPERTY_NAME

    public static final java.lang.String INVALID_FIELD_COUNT_PROPERTY_NAME

  HttpServlet request attribute key for ValidatedValues invalid field count, InvalidaFieldCount is the number of fields in the html form that have a status of `STATUS_INVALID`, this is calculated for you.

### EMPTY_STRING

    public static final java.lang.String EMPTY_STRING

  Non null empty string

### STATUS_VALID

    public static final java.lang.String STATUS_VALID

  A Status of valid (field passed validator ).

### STATUS_INVALID

    public static final java.lang.String STATUS_INVALID

  A Status of invalid (field did not pass validator ).

### STATUS_UNSPECIFIED

    public static final java.lang.String STATUS_UNSPECIFIED

  A Status of unspecified (Niether valid or invalid: field has just been presented to the user).

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved